MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026145Community[OCCT] OCCT:Samplespublic2015-04-24 16:272015-05-14 16:38
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0026145: Geometry Sample crashes
DescriptionThe Geometry sample crashes when trying to run three commands (see attached picture).

Tried on OCCT 6.9.0 Beta 1 (precompiled binaries: opencascade-6.9.0-beta1.exe).
Steps To ReproduceBuild MFC samples
Run Geometry sample
Try to press buttons from attached screenshot in various order.
TagsNo tags attached.
Test case number
Attached Filespng file icon crash.png (73,605 bytes) 2015-04-24 16:27

- Relationships

-  Notes
(0040583)
git (administrator)
2015-05-05 19:42

Branch CR26145 has been created by ski.

SHA-1: a9b5475ca5a0db83a238432072712ce60b73b3e0


Detailed log of new commits:

Author: ski
Date: Tue May 5 19:42:21 2015 +0300

    0026145: Geometry Sample crashes
    
    Unacceptable usage of quantity coefficient was removed.
(0040587)
ski (developer)
2015-05-05 20:02

Reason of the crash was fixed. Also, displaying of vertices works fine now.

Please, review.
(0040590)
abv (manager)
2015-05-05 20:59

No remarks, please integrate
(0041113)
git (administrator)
2015-05-14 16:38

Branch CR26145 has been deleted by inv.

SHA-1: a9b5475ca5a0db83a238432072712ce60b73b3e0

- Related Changesets
occt: master 2f697f2f
Timestamp: 2015-05-05 16:42:21
Author: ski
Committer: bugmaster
Details ] Diff ]
0026145: Geometry Sample crashes

Unacceptable usage of quantity coefficient was removed.
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeomSources.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-24 16:27 Pawel New Issue
2015-04-24 16:27 Pawel Assigned To => bugmaster
2015-04-24 16:27 Pawel File Added: crash.png
2015-04-30 10:11 abv Assigned To bugmaster => ski
2015-04-30 10:11 abv Status new => assigned
2015-05-05 19:42 git Note Added: 0040583
2015-05-05 20:02 ski Note Added: 0040587
2015-05-05 20:02 ski Assigned To ski => abv
2015-05-05 20:02 ski Status assigned => resolved
2015-05-05 20:02 ski Steps to Reproduce Updated View Revisions
2015-05-05 20:59 abv Note Added: 0040590
2015-05-05 20:59 abv Assigned To abv => bugmaster
2015-05-05 20:59 abv Status resolved => reviewed
2015-05-06 12:01 bugmaster Status reviewed => tested
2015-05-07 11:18 bugmaster Changeset attached => occt master 2f697f2f
2015-05-07 11:18 bugmaster Status tested => verified
2015-05-07 11:18 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:30 user533 Fixed in Version => 6.9.0
2015-05-14 16:38 git Note Added: 0041113


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker